#include <iostream>
#include <vector>

#define FEEDBACK

using namespace std;

int main(int argc, const char * argv[]) {
    int a, b;
    cin >> a >> b;
    vector<bool> nesto(a, false);
    vector<vector<bool> > vec(b, nesto);
    vector<int> f;
    int ulaz;
    for(int i = 0; i < a; ++i){
        cin >> ulaz;
        f.push_back(ulaz);
    }
    for(int i = 0; i < a; ++i){
        for(int j = 0; j < f[i]; ++j){
            vec[j][i] = true;
        }
    }
    int tr, fl;
    int res = 0;
    for(int i = 0; i < b; ++i){
        tr = 0;
        fl = 0;
        for(int j = 0; j < a; ++j){
            if(vec[i][j]){
                ++tr;
            }
            else{
                ++fl;
            }
        }
        res += tr*fl;
    }
    cout << res << endl;
    return 0;
}